Skip to main content
GET
/
customers
List customers
curl --request GET \
  --url https://api.qonversion.io/v4/customers \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "url": "/v4/customers",
  "data": [
    {}
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using the project Secret Key (prefixed with sk_, or test_sk_ for sandbox). All v4 public endpoints require the Secret Key — see Authentication. Never expose the Secret Key in client-side code.

Query Parameters

page
integer

Page number (1-based).

Required range: x >= 1
limit
integer
default:20

Maximum number of customers to return.

Required range: 1 <= x <= 100
sort_by
string

Field to sort results by.

sort_order
enum<string>

Sort direction.

Available options:
asc,
desc
environment
integer

Filter by environment ID.

Search query string.

filter[status][]
string[]

Filter by customer status. Repeatable: filter[status][]=active&filter[status][]=churned.

filter[target_platform][]
string[]

Filter by target platform. Repeatable.

Response

A paginated list of customers.

object
enum<string>
required
Available options:
list
url
string
required
Example:

"/v4/customers"

data
object[]
required
has_more
boolean
required
next_cursor
string

Present only when has_more is true.